<template>
  <div style="width: 100%">
    <el-card class="box-card">
      <div slot="header" class="clearfix">
        <span class="font-18 font-bold">类别数量统计</span>
      </div>
      <div id="LBSLTJ" style="height: 300px"/>
    </el-card>
  </div>
</template>
<script>
import * as echarts from 'echarts';
import * as dash from "@/api/dashboard/dash";

export default {
  name: 'LBSLTJ',
  props: {
    activeId: {
      type: String,
      default: '',
    },
  },
  data() {
    return {
      myChart: null,
      options: {},
    };
  },
  mounted() {
    this.getCenterLine();
  },
  methods: {
    getCenterLine() {
      // getCenterLine({
      //   id: this.activeId,
      //   weekFlag: this.weekFlag,
      //   monthFlag: this.monthFlag,
      //   startDay: this.value2 ? this.value2[0] : null,
      //   endDay: this.value2 ? this.value2[1] : null
      // }).then(res => {
      //   const data = res.data
      var chartDom = document.getElementById('LBSLTJ');
      this.myChart = echarts.init(chartDom);
      // 监听屏幕宽度变化：当浏览器发生resize事件的时候，触发echart的resize事件，重绘canvas
      window.addEventListener('resize', () => {
        this.changeWidth();
      });
      this.options = {
        color: [ '#1877FF','#5EDEA5','#F7BE12','#55C6E1','#ED653B'],
        tooltip: {
          trigger: 'axis',
          axisPointer: {
            type: 'shadow',
          },
        },
        legend: {
          orient: 'vertical',
          right: 0,
          top: 60,
          bottom: 20,
        },
        series: [
          {

            name: 'Access From',
            type: 'pie',
            minAngle: 2, // 最小的扇区角度（0~360），用于防止某个值过小导致扇区太小影响交互
            avoidLabelOverlap: true, // 是否启用防止标签重叠策略
            itemStyle: {
              normal: {
                label: {
                  show: true,
                  formatter(param) {
                    // correct the percentage
                    return param.name + '\n' + ' ' + param.percent.toFixed(1) + '%';
                  }
                },
                labelLine: {
                  show: true,
                  length: 0.01
                }
              }
            },
            data: [
              { value: 100, name: '等级一' },
              { value: 100, name: '等级二' },
              { value: 100, name: '等级三' },

            ]
          }]
      };
      this.options && this.myChart.setOption(this.options);
    },
    changeWidth() {
      this.myChart.resize();
    },
  },
};
</script>
<style lang="scss" scoped>
#main2 {
  width: 100%;
  height: 300px;
}

.box-card {
  margin-top: 10px;
  width: 100%;
  border-radius: 10px;
  border: none;
  .card-title-right {
    display: flex;
    align-items: center;
    align-self: flex-end;
    float: right;
  }
}
</style>
